#
# Table structure for table `nuke_weatherini`
#

DROP TABLE IF EXISTS nuke_weatherini;
CREATE TABLE nuke_weatherini (
  processtype set('1','2') NOT NULL default '1',
  rootcachepath char(255) NOT NULL default '',
  rootradarpath char(255) NOT NULL default '',
  nukeradarpath char(255) NOT NULL default '',
  userdefcity set('Y','N') NOT NULL default 'Y',
  showradar set('Y','N') NOT NULL default 'Y',
  radarloops set('Y','N') NOT NULL default 'N',
  cachetimeout set('1','2','3','4') NOT NULL default '1',
  imageset set('1','2','3') NOT NULL default '1',
  zippick set('Y','N') NOT NULL default 'N',
  miniblock set('Y','N') NOT NULL default 'Y',
  showbuoy set('Y','N') NOT NULL default 'Y',
  FULLTEXT KEY rootcachepath (rootcachepath,rootradarpath,nukeradarpath)
) TYPE=MyISAM COMMENT='default screen settings for WeatherMagnet';

#
# Dumping data for table `nuke_weatherini`
#

INSERT INTO nuke_weatherini VALUES ('1', '/modules/WeatherHarvest/cache/', '/modules/WeatherHarvest/cache/', 'modules/WeatherHarvest/cache/', 'Y', 'Y', 'N', '1', '3', 'N', 'N', 'Y');

    #
# Table structure for table `nuke_weathercountries`
#

DROP TABLE IF EXISTS nuke_weathercountries;
CREATE TABLE nuke_weathercountries (
  abbrev char(2) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  PRIMARY KEY  (abbrev),
  KEY abbrev (abbrev)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_weathercountries`
#

INSERT INTO nuke_weathercountries VALUES ('af', 'afghanistan');
INSERT INTO nuke_weathercountries VALUES ('al', 'albania');
INSERT INTO nuke_weathercountries VALUES ('dz', 'algeria');
INSERT INTO nuke_weathercountries VALUES ('ao', 'angola');
INSERT INTO nuke_weathercountries VALUES ('aq', 'antarctica');
INSERT INTO nuke_weathercountries VALUES ('ag', 'antigua and barbuda');
INSERT INTO nuke_weathercountries VALUES ('ar', 'argentina');
INSERT INTO nuke_weathercountries VALUES ('am', 'armenia');
INSERT INTO nuke_weathercountries VALUES ('aw', 'aruba');
INSERT INTO nuke_weathercountries VALUES ('au', 'australia');
INSERT INTO nuke_weathercountries VALUES ('at', 'austria');
INSERT INTO nuke_weathercountries VALUES ('az', 'azerbaijan');
INSERT INTO nuke_weathercountries VALUES ('bs', 'bahamas');
INSERT INTO nuke_weathercountries VALUES ('bh', 'bahrain');
INSERT INTO nuke_weathercountries VALUES ('bd', 'bangladesh');
INSERT INTO nuke_weathercountries VALUES ('bb', 'barbados');
INSERT INTO nuke_weathercountries VALUES ('by', 'belarus');
INSERT INTO nuke_weathercountries VALUES ('be', 'belgium');
INSERT INTO nuke_weathercountries VALUES ('bz', 'belize');
INSERT INTO nuke_weathercountries VALUES ('bj', 'benin');
INSERT INTO nuke_weathercountries VALUES ('bm', 'bermuda');
INSERT INTO nuke_weathercountries VALUES ('bo', 'bolivia');
INSERT INTO nuke_weathercountries VALUES ('ba', 'bosnia and herzegovina');
INSERT INTO nuke_weathercountries VALUES ('bw', 'botswana');
INSERT INTO nuke_weathercountries VALUES ('br', 'brazil');
INSERT INTO nuke_weathercountries VALUES ('io', 'british indian ocean territory');
INSERT INTO nuke_weathercountries VALUES ('bn', 'brunei darussalam');
INSERT INTO nuke_weathercountries VALUES ('bg', 'bulgaria');
INSERT INTO nuke_weathercountries VALUES ('bf', 'burkina faso');
INSERT INTO nuke_weathercountries VALUES ('bi', 'burundi');
INSERT INTO nuke_weathercountries VALUES ('kh', 'cambodia');
INSERT INTO nuke_weathercountries VALUES ('cm', 'cameroon');
INSERT INTO nuke_weathercountries VALUES ('ca', 'canada');
INSERT INTO nuke_weathercountries VALUES ('cv', 'cape verde');
INSERT INTO nuke_weathercountries VALUES ('ky', 'cayman islands');
INSERT INTO nuke_weathercountries VALUES ('cf', 'central african republic');
INSERT INTO nuke_weathercountries VALUES ('td', 'chad');
INSERT INTO nuke_weathercountries VALUES ('cl', 'chile');
INSERT INTO nuke_weathercountries VALUES ('cn', 'china');
INSERT INTO nuke_weathercountries VALUES ('cx', 'christmas island');
INSERT INTO nuke_weathercountries VALUES ('co', 'colombia');
INSERT INTO nuke_weathercountries VALUES ('km', 'comoros');
INSERT INTO nuke_weathercountries VALUES ('cg', 'congo');
INSERT INTO nuke_weathercountries VALUES ('ck', 'cook islands');
INSERT INTO nuke_weathercountries VALUES ('cr', 'costa rica');
INSERT INTO nuke_weathercountries VALUES ('ci', 'cote divoire');
INSERT INTO nuke_weathercountries VALUES ('hr', 'croatia');
INSERT INTO nuke_weathercountries VALUES ('cu', 'cuba');
INSERT INTO nuke_weathercountries VALUES ('cy', 'cyprus');
INSERT INTO nuke_weathercountries VALUES ('cz', 'czech republic');
INSERT INTO nuke_weathercountries VALUES ('dk', 'denmark');
INSERT INTO nuke_weathercountries VALUES ('dj', 'djibouti');
INSERT INTO nuke_weathercountries VALUES ('do', 'dominican republic');
INSERT INTO nuke_weathercountries VALUES ('dm', 'dominica');
INSERT INTO nuke_weathercountries VALUES ('tp', 'east timor');
INSERT INTO nuke_weathercountries VALUES ('ec', 'ecuador');
INSERT INTO nuke_weathercountries VALUES ('eg', 'egypt');
INSERT INTO nuke_weathercountries VALUES ('sv', 'el salvador');
INSERT INTO nuke_weathercountries VALUES ('gq', 'equatorial guinea');
INSERT INTO nuke_weathercountries VALUES ('ee', 'estonia');
INSERT INTO nuke_weathercountries VALUES ('et', 'ethiopia');
INSERT INTO nuke_weathercountries VALUES ('fk', 'falkland islands (malvinas)');
INSERT INTO nuke_weathercountries VALUES ('fj', 'fiji');
INSERT INTO nuke_weathercountries VALUES ('fi', 'finland');
INSERT INTO nuke_weathercountries VALUES ('fr', 'france');
INSERT INTO nuke_weathercountries VALUES ('gf', 'french guiana');
INSERT INTO nuke_weathercountries VALUES ('pf', 'french polynesia');
INSERT INTO nuke_weathercountries VALUES ('ga', 'gabon');
INSERT INTO nuke_weathercountries VALUES ('gm', 'gambia');
INSERT INTO nuke_weathercountries VALUES ('ge', 'georgia');
INSERT INTO nuke_weathercountries VALUES ('de', 'germany');
INSERT INTO nuke_weathercountries VALUES ('gh', 'ghana');
INSERT INTO nuke_weathercountries VALUES ('gi', 'gibraltar');
INSERT INTO nuke_weathercountries VALUES ('gr', 'greece');
INSERT INTO nuke_weathercountries VALUES ('gl', 'greenland');
INSERT INTO nuke_weathercountries VALUES ('gd', 'grenada');
INSERT INTO nuke_weathercountries VALUES ('gp', 'guadeloupe');
INSERT INTO nuke_weathercountries VALUES ('gt', 'guatemala');
INSERT INTO nuke_weathercountries VALUES ('gw', 'guinea-bissau');
INSERT INTO nuke_weathercountries VALUES ('gn', 'guinea');
INSERT INTO nuke_weathercountries VALUES ('gy', 'guyana');
INSERT INTO nuke_weathercountries VALUES ('ht', 'haiti');
INSERT INTO nuke_weathercountries VALUES ('hn', 'honduras');
INSERT INTO nuke_weathercountries VALUES ('hk', 'hong kong');
INSERT INTO nuke_weathercountries VALUES ('hu', 'hungary');
INSERT INTO nuke_weathercountries VALUES ('is', 'iceland');
INSERT INTO nuke_weathercountries VALUES ('in', 'india');
INSERT INTO nuke_weathercountries VALUES ('id', 'indonesia');
INSERT INTO nuke_weathercountries VALUES ('ir', 'iran, islamic republic of');
INSERT INTO nuke_weathercountries VALUES ('iq', 'iraq');
INSERT INTO nuke_weathercountries VALUES ('ie', 'ireland');
INSERT INTO nuke_weathercountries VALUES ('il', 'israel');
INSERT INTO nuke_weathercountries VALUES ('it', 'italy');
INSERT INTO nuke_weathercountries VALUES ('jm', 'jamaica');
INSERT INTO nuke_weathercountries VALUES ('jp', 'japan');
INSERT INTO nuke_weathercountries VALUES ('jo', 'jordan');
INSERT INTO nuke_weathercountries VALUES ('kz', 'kazakhstan');
INSERT INTO nuke_weathercountries VALUES ('ke', 'kenya');
INSERT INTO nuke_weathercountries VALUES ('ki', 'kiribati');
INSERT INTO nuke_weathercountries VALUES ('kp', 'korea, democratic peoples republic of');
INSERT INTO nuke_weathercountries VALUES ('kr', 'korea, republic of');
INSERT INTO nuke_weathercountries VALUES ('kw', 'kuwait');
INSERT INTO nuke_weathercountries VALUES ('kg', 'kyrgyzstan');
INSERT INTO nuke_weathercountries VALUES ('la', 'lao peoples democratic republic');
INSERT INTO nuke_weathercountries VALUES ('lv', 'latvia');
INSERT INTO nuke_weathercountries VALUES ('lb', 'lebanon');
INSERT INTO nuke_weathercountries VALUES ('ls', 'lesotho');
INSERT INTO nuke_weathercountries VALUES ('lr', 'liberia');
INSERT INTO nuke_weathercountries VALUES ('ly', 'libyan arab jamahiriya');
INSERT INTO nuke_weathercountries VALUES ('lt', 'lithuania');
INSERT INTO nuke_weathercountries VALUES ('lu', 'luxembourg');
INSERT INTO nuke_weathercountries VALUES ('mo', 'macau');
INSERT INTO nuke_weathercountries VALUES ('mk', 'macedonia, the former yugoslav republic of');
INSERT INTO nuke_weathercountries VALUES ('mg', 'madagascar');
INSERT INTO nuke_weathercountries VALUES ('mw', 'malawi');
INSERT INTO nuke_weathercountries VALUES ('my', 'malaysia');
INSERT INTO nuke_weathercountries VALUES ('mv', 'maldives');
INSERT INTO nuke_weathercountries VALUES ('ml', 'mali');
INSERT INTO nuke_weathercountries VALUES ('mt', 'malta');
INSERT INTO nuke_weathercountries VALUES ('mh', 'marshall islands');
INSERT INTO nuke_weathercountries VALUES ('mq', 'martinique');
INSERT INTO nuke_weathercountries VALUES ('mr', 'mauritania');
INSERT INTO nuke_weathercountries VALUES ('mu', 'mauritius');
INSERT INTO nuke_weathercountries VALUES ('mx', 'mexico');
INSERT INTO nuke_weathercountries VALUES ('fm', 'micronesia, federated states of');
INSERT INTO nuke_weathercountries VALUES ('md', 'moldova, republic of');
INSERT INTO nuke_weathercountries VALUES ('mn', 'mongolia');
INSERT INTO nuke_weathercountries VALUES ('ma', 'morocco');
INSERT INTO nuke_weathercountries VALUES ('mz', 'mozambique');
INSERT INTO nuke_weathercountries VALUES ('mm', 'myanmar');
INSERT INTO nuke_weathercountries VALUES ('na', 'namibia');
INSERT INTO nuke_weathercountries VALUES ('nr', 'nauru');
INSERT INTO nuke_weathercountries VALUES ('np', 'nepal');
INSERT INTO nuke_weathercountries VALUES ('an', 'netherlands antilles');
INSERT INTO nuke_weathercountries VALUES ('nl', 'netherlands');
INSERT INTO nuke_weathercountries VALUES ('nc', 'new caledonia');
INSERT INTO nuke_weathercountries VALUES ('nz', 'new zealand');
INSERT INTO nuke_weathercountries VALUES ('ni', 'nicaragua');
INSERT INTO nuke_weathercountries VALUES ('ng', 'nigeria');
INSERT INTO nuke_weathercountries VALUES ('ne', 'niger');
INSERT INTO nuke_weathercountries VALUES ('no', 'norway');
INSERT INTO nuke_weathercountries VALUES ('om', 'oman');
INSERT INTO nuke_weathercountries VALUES ('pk', 'pakistan');
INSERT INTO nuke_weathercountries VALUES ('pw', 'palau');
INSERT INTO nuke_weathercountries VALUES ('pa', 'panama');
INSERT INTO nuke_weathercountries VALUES ('pg', 'papua new guinea');
INSERT INTO nuke_weathercountries VALUES ('py', 'paraguay');
INSERT INTO nuke_weathercountries VALUES ('pe', 'peru');
INSERT INTO nuke_weathercountries VALUES ('ph', 'philippines');
INSERT INTO nuke_weathercountries VALUES ('pl', 'poland');
INSERT INTO nuke_weathercountries VALUES ('pt', 'portugal');
INSERT INTO nuke_weathercountries VALUES ('pr', 'puerto rico');
INSERT INTO nuke_weathercountries VALUES ('qa', 'qatar');
INSERT INTO nuke_weathercountries VALUES ('re', 'reunion');
INSERT INTO nuke_weathercountries VALUES ('ro', 'romania');
INSERT INTO nuke_weathercountries VALUES ('ru', 'russian federation');
INSERT INTO nuke_weathercountries VALUES ('rw', 'rwanda');
INSERT INTO nuke_weathercountries VALUES ('sh', 'saint helena');
INSERT INTO nuke_weathercountries VALUES ('kn', 'saint kitts and nevis');
INSERT INTO nuke_weathercountries VALUES ('lc', 'saint lucia');
INSERT INTO nuke_weathercountries VALUES ('pm', 'saint pierre and miquelon');
INSERT INTO nuke_weathercountries VALUES ('vc', 'saint vincent and the grenadines');
INSERT INTO nuke_weathercountries VALUES ('ws', 'samoa');
INSERT INTO nuke_weathercountries VALUES ('st', 'sao tome and principe');
INSERT INTO nuke_weathercountries VALUES ('sa', 'saudi arabia');
INSERT INTO nuke_weathercountries VALUES ('sn', 'senegal');
INSERT INTO nuke_weathercountries VALUES ('sc', 'seychelles');
INSERT INTO nuke_weathercountries VALUES ('sl', 'sierra leone');
INSERT INTO nuke_weathercountries VALUES ('sg', 'singapore');
INSERT INTO nuke_weathercountries VALUES ('sk', 'slovakia');
INSERT INTO nuke_weathercountries VALUES ('si', 'slovenia');
INSERT INTO nuke_weathercountries VALUES ('sb', 'solomon islands');
INSERT INTO nuke_weathercountries VALUES ('so', 'somalia');
INSERT INTO nuke_weathercountries VALUES ('za', 'south africa');
INSERT INTO nuke_weathercountries VALUES ('gs', 'south georgia and the south sandwich islands');
INSERT INTO nuke_weathercountries VALUES ('es', 'spain');
INSERT INTO nuke_weathercountries VALUES ('lk', 'sri lanka');
INSERT INTO nuke_weathercountries VALUES ('sd', 'sudan');
INSERT INTO nuke_weathercountries VALUES ('sr', 'suriname');
INSERT INTO nuke_weathercountries VALUES ('sz', 'swaziland');
INSERT INTO nuke_weathercountries VALUES ('se', 'sweden');
INSERT INTO nuke_weathercountries VALUES ('ch', 'switzerland');
INSERT INTO nuke_weathercountries VALUES ('sy', 'syrian arab republic');
INSERT INTO nuke_weathercountries VALUES ('tw', 'taiwan');
INSERT INTO nuke_weathercountries VALUES ('tj', 'tajikistan');
INSERT INTO nuke_weathercountries VALUES ('tz', 'tanzania, united republic of');
INSERT INTO nuke_weathercountries VALUES ('th', 'thailand');
INSERT INTO nuke_weathercountries VALUES ('tg', 'togo');
INSERT INTO nuke_weathercountries VALUES ('to', 'tonga');
INSERT INTO nuke_weathercountries VALUES ('tt', 'trinidad and tobago');
INSERT INTO nuke_weathercountries VALUES ('tn', 'tunisia');
INSERT INTO nuke_weathercountries VALUES ('tr', 'turkey');
INSERT INTO nuke_weathercountries VALUES ('tm', 'turkmenistan');
INSERT INTO nuke_weathercountries VALUES ('tv', 'tuvalu');
INSERT INTO nuke_weathercountries VALUES ('ug', 'uganda');
INSERT INTO nuke_weathercountries VALUES ('ua', 'ukraine');
INSERT INTO nuke_weathercountries VALUES ('ae', 'united arab emirates');
INSERT INTO nuke_weathercountries VALUES ('gb', 'united kingdom');
INSERT INTO nuke_weathercountries VALUES ('um', 'united states minor outlying islands');
INSERT INTO nuke_weathercountries VALUES ('us', 'united states');
INSERT INTO nuke_weathercountries VALUES ('uy', 'uruguay');
INSERT INTO nuke_weathercountries VALUES ('uz', 'uzbekistan');
INSERT INTO nuke_weathercountries VALUES ('vu', 'vanuatu');
INSERT INTO nuke_weathercountries VALUES ('ve', 'venezuela');
INSERT INTO nuke_weathercountries VALUES ('vn', 'viet nam');
INSERT INTO nuke_weathercountries VALUES ('vg', 'virgin islands, british');
INSERT INTO nuke_weathercountries VALUES ('vi', 'virgin islands, united states');
INSERT INTO nuke_weathercountries VALUES ('wi', 'western sahara');
INSERT INTO nuke_weathercountries VALUES ('ye', 'yemen');
INSERT INTO nuke_weathercountries VALUES ('yu', 'yugoslavia');
INSERT INTO nuke_weathercountries VALUES ('cd', 'zaire');
INSERT INTO nuke_weathercountries VALUES ('zm', 'zambia');
INSERT INTO nuke_weathercountries VALUES ('zw', 'zimbabwe');

#
# Table structure for table `nuke_weatherdefaults`
#

CREATE TABLE nuke_weatherdefaults (
  uid int(11) NOT NULL default '0',
  code char(4) NOT NULL default '',
  KEY uid (uid)
) TYPE=MyISAM COMMENT='default weather code table for site and users';

#
# Dumping data for table `nuke_weatherdefaults`
#

INSERT INTO nuke_weatherdefaults VALUES (0, 'KSRQ');

#
# Table structure for table `nuke_weatherregions`
#

DROP TABLE IF EXISTS nuke_weatherregions;
CREATE TABLE nuke_weatherregions (
  state_id int(11) NOT NULL auto_increment,
  abbrev char(2) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  country char(2) NOT NULL default '',
  PRIMARY KEY  (state_id),
  KEY state_abbrev (abbrev,country)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_weatherregions`
#

INSERT INTO nuke_weatherregions VALUES (1, 'ak', 'alaska', 'us');
INSERT INTO nuke_weatherregions VALUES (2, 'al', 'alabama', 'us');
INSERT INTO nuke_weatherregions VALUES (3, 'ar', 'arkansas', 'us');
INSERT INTO nuke_weatherregions VALUES (4, 'az', 'arizona', 'us');
INSERT INTO nuke_weatherregions VALUES (5, 'ca', 'california', 'us');
INSERT INTO nuke_weatherregions VALUES (6, 'co', 'colorado', 'us');
INSERT INTO nuke_weatherregions VALUES (7, 'ct', 'connecticut', 'us');
INSERT INTO nuke_weatherregions VALUES (8, 'de', 'delaware', 'us');
INSERT INTO nuke_weatherregions VALUES (9, 'fl', 'florida', 'us');
INSERT INTO nuke_weatherregions VALUES (10, 'ga', 'georgia', 'us');
INSERT INTO nuke_weatherregions VALUES (11, 'gu', 'guam', 'us');
INSERT INTO nuke_weatherregions VALUES (12, 'hi', 'hawaii', 'us');
INSERT INTO nuke_weatherregions VALUES (13, 'ia', 'iowa', 'us');
INSERT INTO nuke_weatherregions VALUES (14, 'id', 'idaho', 'us');
INSERT INTO nuke_weatherregions VALUES (15, 'il', 'illinois', 'us');
INSERT INTO nuke_weatherregions VALUES (16, 'in', 'indiana', 'us');
INSERT INTO nuke_weatherregions VALUES (17, 'ks', 'kansas', 'us');
INSERT INTO nuke_weatherregions VALUES (18, 'ky', 'kentucky', 'us');
INSERT INTO nuke_weatherregions VALUES (19, 'la', 'louisiana', 'us');
INSERT INTO nuke_weatherregions VALUES (20, 'ma', 'massachusetts', 'us');
INSERT INTO nuke_weatherregions VALUES (21, 'md', 'maryland', 'us');
INSERT INTO nuke_weatherregions VALUES (22, 'me', 'maine', 'us');
INSERT INTO nuke_weatherregions VALUES (23, 'mi', 'michigan', 'us');
INSERT INTO nuke_weatherregions VALUES (24, 'mn', 'minnesota', 'us');
INSERT INTO nuke_weatherregions VALUES (25, 'mo', 'missouri', 'us');
INSERT INTO nuke_weatherregions VALUES (26, 'ms', 'mississippi', 'us');
INSERT INTO nuke_weatherregions VALUES (27, 'mt', 'montana', 'us');
INSERT INTO nuke_weatherregions VALUES (28, 'nc', 'north carolina', 'us');
INSERT INTO nuke_weatherregions VALUES (29, 'nd', 'north dakota', 'us');
INSERT INTO nuke_weatherregions VALUES (30, 'ne', 'nebraska', 'us');
INSERT INTO nuke_weatherregions VALUES (31, 'nh', 'new hampshire', 'us');
INSERT INTO nuke_weatherregions VALUES (32, 'nj', 'new jersey', 'us');
INSERT INTO nuke_weatherregions VALUES (33, 'nm', 'new mexico', 'us');
INSERT INTO nuke_weatherregions VALUES (34, 'nv', 'nevada', 'us');
INSERT INTO nuke_weatherregions VALUES (35, 'ny', 'new york', 'us');
INSERT INTO nuke_weatherregions VALUES (36, 'oh', 'ohio', 'us');
INSERT INTO nuke_weatherregions VALUES (37, 'ok', 'oklahoma', 'us');
INSERT INTO nuke_weatherregions VALUES (38, 'or', 'oregon', 'us');
INSERT INTO nuke_weatherregions VALUES (39, 'pa', 'pennsylvania', 'us');
INSERT INTO nuke_weatherregions VALUES (40, 'pr', 'puerto rico', 'us');
INSERT INTO nuke_weatherregions VALUES (41, 'ri', 'rhode island', 'us');
INSERT INTO nuke_weatherregions VALUES (42, 'sc', 'south carolina', 'us');
INSERT INTO nuke_weatherregions VALUES (43, 'sd', 'south dakota', 'us');
INSERT INTO nuke_weatherregions VALUES (44, 'tn', 'tennessee', 'us');
INSERT INTO nuke_weatherregions VALUES (45, 'tx', 'texas', 'us');
INSERT INTO nuke_weatherregions VALUES (46, 'us', 'united states', 'us');
INSERT INTO nuke_weatherregions VALUES (47, 'ut', 'utah', 'us');
INSERT INTO nuke_weatherregions VALUES (48, 'va', 'virginia', 'us');
INSERT INTO nuke_weatherregions VALUES (49, 'vi', 'virgin islands', 'us');
INSERT INTO nuke_weatherregions VALUES (50, 'vt', 'vermont', 'us');
INSERT INTO nuke_weatherregions VALUES (51, 'wa', 'washington', 'us');
INSERT INTO nuke_weatherregions VALUES (52, 'wi', 'wisconsin', 'us');
INSERT INTO nuke_weatherregions VALUES (53, 'wv', 'west virginia', 'us');
INSERT INTO nuke_weatherregions VALUES (54, 'wy', 'wyoming', 'us');
INSERT INTO nuke_weatherregions VALUES (55, 'ab', 'alberta', 'ca');
INSERT INTO nuke_weatherregions VALUES (56, 'bc', 'british columbia', 'ca');
INSERT INTO nuke_weatherregions VALUES (57, 'mb', 'manitoba', 'ca');
INSERT INTO nuke_weatherregions VALUES (58, 'nb', 'new brunswick', 'ca');
INSERT INTO nuke_weatherregions VALUES (59, 'nf', 'new foundland', 'ca');
INSERT INTO nuke_weatherregions VALUES (60, 'ns', 'nova scotia', 'ca');
INSERT INTO nuke_weatherregions VALUES (61, 'nt', 'northwest territories', 'ca');
INSERT INTO nuke_weatherregions VALUES (62, 'nu', 'nunavut', 'ca');
INSERT INTO nuke_weatherregions VALUES (63, 'on', 'ontario', 'ca');
INSERT INTO nuke_weatherregions VALUES (64, 'pe', 'prince edward', 'ca');
INSERT INTO nuke_weatherregions VALUES (65, 'qc', 'qubec', 'ca');
INSERT INTO nuke_weatherregions VALUES (66, 'sk', 'saskatchewan', 'ca');
INSERT INTO nuke_weatherregions VALUES (67, 'yk', 'yukon', 'ca');

#
# Table structure for table `nuke_weathersummaries`
#

DROP TABLE IF EXISTS nuke_weathersummaries;
CREATE TABLE nuke_weathersummaries (
  id tinyint(4) NOT NULL auto_increment,
  desc varchar(100) NOT NULL default '',
  path varchar(255) NOT NULL default '',
  filename varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  FULLTEXT KEY desc (desc)
) TYPE=MyISAM COMMENT='summeries of weather for selected cities';

#
# Dumping data for table `nuke_weathersummaries`
#

INSERT INTO nuke_weathersummaries VALUES (1, 'Central United States', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'central_us.txt');
INSERT INTO nuke_weathersummaries VALUES (2, 'Eastern United States', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'eastern_us.txt');
INSERT INTO nuke_weathersummaries VALUES (3, 'International Cities', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'international.txt');
INSERT INTO nuke_weathersummaries VALUES (4, 'Latin America', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'latin_america.txt');
INSERT INTO nuke_weathersummaries VALUES (5, 'North America (Canada and Carribean)', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'north_america.txt');
INSERT INTO nuke_weathersummaries VALUES (6, 'Western United States', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'western_us.txt');

