<?php
######################################################################
# Weather Magnet
# ============================================
#
# Copyright (c) 2003 by John Horne seventhseal@ibdeeming.com
# http://ibdeeming.com
#
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################
if (!eregi("modules.php", $PHP_SELF))
{
  die ("You can't access this file directly...");
}
require_once("mainfile.php");

$module_name = basename(dirname(__FILE__));
get_lang($module_name);


require_once( "modules/$module_name/d_config.php");

/*********************************************************************************************************************************************/
/*                                                                                                                                           */
/* function fnSelectState                                                                                                                    */
/*                                                                                                                                           */
/* This function displays a list of states a user can choose from.  It then takes them to the select city function.                          */
/*********************************************************************************************************************************************/

function fnSelectState()
{
  global $module_name, $index;
  
  $index = 1;  // show right side blocks

  include( "header.php" );
  
  OpenTable();
  global $db, $prefix;
  
  echo "<table width=\"100%\"><tr><td align=\"center\"><table><th align=\"center\">"._WEATHER_HARVEST."</th><tr><td align=\"center\">"._PLS_SEL_ST."</td></tr></table></td></tr>\n";
  echo "<tr><td><table align=\"center\">\n"
      ."<tr><td align=\"center\">"
	  ."<form METHOD=\"POST\" ACTION=\"modules.php?name=$module_name\">\n"
      ."<input type=\"hidden\" name=\"op\" value=\""._SEL_CITY."\">\n"
	  ."<select name=\"state\" size=\"20\">\n";
	  
  $sql = "select DISTINCT country, region from ".$prefix."_weatherstations";
  $result = $db->sql_query($sql);
  $list = $db->sql_fetchrowset( $result );
  $db->sql_freeresult( $result );

  foreach( $list as $row )
  {
    $sql = "select * from ".$prefix."_weathercountries where abbrev='".$row[country]."'";
    $result = $db->sql_query($sql);
    $val = $db->sql_fetchrow( $result );
    $db->sql_freeresult( $result );

    $c_name = "";

    if ($val[name] != "")
    {
      $c_name = $val[name];
    }
    else
    {
      $c_name = $row[country];
    }

	$citycountry = sprintf( "%s, %s", $row[region], $c_name );
    echo "<option value=\"".$row[region]."\">".$citycountry."</option>\n";
  }
  
  echo "</select><br><input type=\"submit\" value=\""._SELECT_CITY."\"></form>\n";
  echo "</form></td></tr></table></td></tr></table>\n";  
  CloseTable();
  
  include( "footer.php" );
}

/*************************************************************************************************************************************************/
/*                                                                                                                                               */
/* function fnSelectCity                                                                                                                         */
/* passed in variables: $region                                                                                                                  */
/*                                                                                                                                               */
/* This function requires a region to be passed in.  A list of cities, based on the region code are generated.  The user selects a city and the  */
/* database entry for the unique user will be updated.                                                                                           */
/*************************************************************************************************************************************************/

function fnSelectCity( $region )
{
  global $module_name, $index;
  
  $index = 1; // show right side blocks
  
  include( "header.php" );
  OpenTable();
  
  echo "<table width=\"100%\"><tr><td align=\"center\"><table><th align=\"center\">"._WEATHER_HARVEST."</th>"
      ."<tr><td align=\"center\">"._PLS_SEL_CITY."$region</td></tr></table></td></tr>\n";
  echo "<tr><td><table align=\"center\">\n"
      ."<tr><td align=\"center\">"
	  ."<form METHOD=\"POST\" ACTION=\"modules.php?name=$module_name\">\n"
      ."<input type=\"hidden\" name=\"op\" value=\""._UPD_CITY."\">\n"
	  ."<select name=\"code\" size=\"20\">\n";
	  
  $sql = "select repstation, code from ".$prefix."_weatherstations where region='".$region."' order by repstation";
  $result = $db->sql_query($sql);
  $list = $db->sql_fetchrowset( $result );
   			 
  foreach( $list as $row )
  {
	echo "<option value=\"".$row[code]."\">".$row[repstation]."</option>\n";
  }
  
  echo "</select><br><input type=\"submit\" value=\""._SAVE_CITY."\"></form>\n";
  echo "</form></td></tr></table></td></tr></table>\n";  

  CloseTable();
  include( "footer.php" );
}

/***********************************************************************************************************************************************/
/*                                                                                                                                             */
/* function fnSaveDefaultCity                                                                                                                  */
/* variables passed in : $code                                                                                                                 */
/*                                                                                                                                             */
/* This function will save the code to the unique user.  Each time the user is logged in, the block will use the users selection to generate   */
/* the weather report for their selected city.                                                                                                 */
/***********************************************************************************************************************************************/

function fnSaveDefaultCity( $code )
{
  global $db, $user, $prefix, $Version_Num, $index;
  
  $index = 1; // show right side blocks
  
  include( "header.php" );
  OpenTable();
  
  // validate the user
  if ( is_user( $user ) )
  {
    $userinfo = getusrinfo( $user );

    if ($Version_Num == "6.0" )  // look for NUKE 6.0 or earlier version
    {
      $uid = $userinfo["uid"];
    }
    else                   // after NUKE 6.0 versions
    {
      $uid = $userinfo["user_id"];
    }
	
	// check to see if user is already in table
	$sql = "select * from ".$prefix."_weatherdefaults where uid='".$uid."'";
	$result = $db->sql_query( $sql );
	if ( $db->sql_numrows($result) == false )  // user does not exist
	{
	  $sql = "INSERT INTO ".$prefix."_weatherdefaults (`uid`, `code`) VALUES ('".$uid."', '".$code."');";
	  $result = $db->sql_query( $sql );
	}
	else // user does exist
	{
	  $sql = "update ".$prefix."_weatherdefaults set code='".$code."' where uid='".$uid."'";
	  $result = $db->sql_query( $sql );
	}
	
	if ( $result )
	{
	  echo $userinfo[username]._USER_DATA_SAVED;
	}
	else
	{
	  echo $userinfo[username]._USER_DATA_NOT_SAVED;
	}
  }
  else
  {
    echo _INV_USER_DATA;
  }
  
  CloseTable();
  include( "footer.php" );
}
?>